Get workflow execution details
Retrieve details of a previously initiated workflow execution by specifying the “workflowExecutionId”
GET
/
payments
/
workflow_execution
/
{workflowExecutionId}
Get workflow execution details
curl --request GET \
--url https://api.fireblocks.io/v1/payments/workflow_execution/{workflowExecutionId}import requests
url = "https://api.fireblocks.io/v1/payments/workflow_execution/{workflowExecutionId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.fireblocks.io/v1/payments/workflow_execution/{workflowExecutionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"executionId": "<string>",
"configSnapshot": {
"configId": "<string>",
"configName": "<string>",
"createdAt": 123,
"configOperations": [
{
"operationId": "<string>",
"type": "CONVERSION",
"params": {
"destAssetId": "<string>",
"amount": "<string>",
"accountId": "<string>",
"srcAssetId": "<string>",
"slippageBasisPoints": 5000
}
}
],
"externalCorrelationData": {}
},
"executionOperations": [
{
"operationId": "<string>",
"operationType": "SCREENING",
"validationFailure": {
"reason": "SCREENING_DISABLED_IN_TENANT",
"data": {}
},
"execution": {
"startedAt": 123,
"output": {
"verdicts": [
{
"executionOperationId": "<string>",
"account": {
"accountId": "<string>"
},
"assetId": "<string>",
"amount": "<string>",
"matchedRule": {
"action": "<string>",
"category": [
"<string>"
]
}
}
]
},
"finishedAt": 123,
"failure": {
"data": {
"verdicts": [
{
"executionOperationId": "<string>",
"account": {
"accountId": "<string>"
},
"assetId": "<string>",
"amount": "<string>",
"matchedRule": {
"action": "<string>",
"category": [
"<string>"
]
}
}
]
}
}
}
}
],
"preScreening": {
"enabled": true
},
"triggeredBy": "<string>",
"triggeredAt": 123,
"finishedAt": 123,
"externalCorrelationData": {}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}Path Parameters
Response
Returns workflow execution by id with preview info
Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes
Available options:
PENDING, VALIDATION_IN_PROGRESS, VALIDATION_FAILED, VALIDATION_COMPLETED, PREVIEW_IN_PROGRESS, PREVIEW_FAILED, READY_FOR_LAUNCH, EXECUTION_IN_PROGRESS, EXECUTION_COMPLETED, EXECUTION_FAILED Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
Previous
Execute the payments workflowLaunch the execution of a pre-configured workflow, identified by "workflowExecutionId", once it reaches the READY_FOR_LAUNCH state. The workflow undergoes several phases during execution - EXECUTION_IN_PROGRESS - Marks the start of the workflow execution. EXECUTION_COMPLETED or EXECUTION_FAILED - Indicates the execution has reached a final state.
Next
⌘I
Get workflow execution details
